<?php

if (!function_exists('createLogChannel')) {
    function createLogChannel($name)
    {
        return [
            'driver' => 'single',
            'path' => storage_path("logs/models/{$name}_changelog.log"),
            'level' => 'info',
        ];
    }
}

if (!function_exists('createErrorChannel')) {
    function createErrorChannel($name)
    {
        return [
            'driver' => 'single',
            'path' => storage_path("logs/errors/{$name}_error.log"),
            'level' => 'info',
        ];
    }
}
